<div class="flex justify-center items-center w-full p-10">
  <mat-card class="w-full md:w-1/2 sm:w-3/4">
    <mat-card-header>
      <mat-card-title>Todo List</mat-card-title>
      <mat-card-subtitle>A simple todo list</mat-card-subtitle>
    </mat-card-header>
    <hr class="mt-3"/>
    <mat-card-content>
      @if (todos$ | async; as todoList) {
        @if (todoList.length === 0) {
          <div class="flex flex-col gap-2 mt-3">
            <p>No todos found.</p>
            <p>Click the below button to add a todo</p>
          </div>
        }
        <div class="flex flex-col gap-5 py-3">
          @for (todo of todoList; track todo) {
            <div class="flex flex-col gap-5 ">
              <div class="flex justify-between gap-2 items-center w-full text-sm sm:text-md">
                <div class="flex items-center gap-2">
                  <mat-checkbox class="text-wrap" [checked]="todo.completed"
                                (change)="updateTodoStatus(todo)"></mat-checkbox>
                  <span (click)="!todo.completed && updateTodo(todo)" class="text-wrap max-w-96"
                        [class.line-through]="todo.completed">{{ todo.description }}</span>
                </div>
                <div class="flex items-center gap-2">
                  <button mat-stroked-button [color]="todo.color">{{ todo.priority }}</button>
                  @if (showDelete) {
                    <mat-icon (click)="deleteTodo(todo)">delete</mat-icon>
                  }
                </div>
              </div>
            </div>
          }
        </div>
        <!--        <mat-selection-list>-->
          <!--          @for (todo of todoList; track todo) {-->
          <!--            <div class="flex gap-2 items-center">-->
          <!--              @if (showDelete) {-->
          <!--                <mat-icon (click)="deleteTodo(todo)">delete</mat-icon>-->
          <!--              }-->
          <!--              <app-chip [priority]="todo.priority"></app-chip>-->
          <!--              <mat-list-option>{{todo.description}}</mat-list-option>-->
          <!--            </div>-->
          <!--          }-->
          <!--        </mat-selection-list>-->
      }
    </mat-card-content>
    <hr class="mb-3"/>
    <mat-card-actions>
      <div class="flex justify-between items-center w-full">
        <button (click)="showDelete = !showDelete" color="warn"
                mat-stroked-button>{{ showDelete ? 'Cancel' : 'Delete' }}
        </button>
        <button (click)="openTodoDialog()" color="primary" mat-stroked-button>Add Todo</button>
      </div>
    </mat-card-actions>
  </mat-card>
</div>
